case $CONFIG in
'')
    if test ! -f config.sh; then
	ln ../config.sh . || \
	ln ../../config.sh . || \
	ln ../../../config.sh . || \
	ln ../../../../config.sh . || \
	(echo "Can't find config.sh."; exit 1)
    fi
    . ./config.sh

    ;;
esac

case "$subdir" in
'')
    case "$0" in
    */*) cd `expr X$0 : 'X\(.*\)/'` ;;
    esac	    

    vpathdef="#VPATH	= "
    XXsrc="."
    XXsrcroot="../../"
    ;;
*)
    vpathdef="VPATH	=	$source_dir/$subdir"
    XXsrc="$source_dir/$subdir"
    XXsrcroot="$source_dir"
    ;;
esac

echo "Extracting src/messages/Makefile (with variable substitutions)"
cat >Makefile <<!GROK!THIS!
#!$make
# $Id: Makefile.SH,v 1.5.44.7 2005/09/29 17:44:41 hurtta Exp $
#  Makefile for the ELM mail program.
#
# Variables
#	Variables established by Configure
AR		=	$ar
CC		=	$cc
CCFLAGS		=	$ccflags $picflag $xencf
CHMOD		=	$chmod
LINT		=	$lint
OPTIMIZE	=	$optimize
RANLIB		=	$ranlib
RM		= 	$rm -f
CP		=	$cp
TOUCH		=	$touch
TAGS		=	ctags
$vpathdef
SRC		=	$XXsrc
SRCROOT		=	$XXsrcroot
!GROK!THIS!

cat >>Makefile <<'!NO!SUBS!'
#	Other general variables
CFLAGS		=	-I$(IHDR) -I$(INCLDIR) $(CCFLAGS) $(OPTIMIZE) $(DEBUG) 
INCLDIR		=	$(SRCROOT)/hdrs
IHDR		=	../../hdrs
SHELL		=	/bin/sh

OBJ		=	messages.o header_alloc.o storage.o digest.o \
 partial.o canceled_mail.o

all:			Makefile libmessages.a

install_s:		Makefile libmessages.a

uninstall_s:		

clean:
	$(RM) $(OBJ) libmessages.a

Makefile: Makefile.SH ../../config.sh
	@echo "You must run 'sh Configure -S' or 'sh Configure'"
	exit 1

libmessages.a:		$(OBJ)
			$(AR) r $@ $?
			$(RANLIB) $@

#	Dependencies of header files upon other header files they include
.PRECIOUS: $(IHDR)/elm_defs.h $(IHDR)/defs_major.h def_messages.h \
 $(IHDR)/me.h

$(IHDR)/elm_defs.h:	$(IHDR)/defs_major.h $(INCLDIR)/elm_nl_types.h \
 $(INCLDIR)/elmlib.h 
			$(CHMOD) u+w $@
			$(TOUCH) $@

$(IHDR)/defs_major.h: ../../config.h $(IHDR)/sysdefs.h 
			$(CHMOD) u+w $@
			$(TOUCH) $@

def_messages.h:		$(IHDR)/elm_defs.h $(IHDR)/me.h \
 $(INCLDIR)/mime.h $(INCLDIR)/mailerlib.h 
			cmp $(SRC)/$@ $@ || $(CP) $(SRC)/$@ $@
			$(CHMOD) u+w $@
			$(TOUCH) $@

$(IHDR)/me.h:	$(INCLDIR)/melib.h 
			$(CHMOD) u+w $@
			$(TOUCH) $@

#	Dependencies of C object files

messages.o:	     def_messages.h 
header_alloc.o:	     def_messages.h 
canceled_mail.o:     def_messages.h $(INCLDIR)/s_elm.h $(INCLDIR)/s_me.h
storage.o:           def_messages.h $(INCLDIR)/s_elm.h
digest.o:            def_messages.h $(INCLDIR)/s_elm.h
partial.o:	     def_messages.h $(INCLDIR)/s_me.h

!NO!SUBS!

